import { OnDestroy, OnInit } from '@angular/core';
import { DialogController } from './dialog-controller';
export declare class DialogComponent implements OnInit, OnDestroy {
    private dialogController;
    show: boolean;
    title: string;
    content: string;
    btnsText: Array<any>;
    result: boolean;
    private sub;
    constructor(dialogController: DialogController);
    ngOnInit(): void;
    ngOnDestroy(): void;
    checked(result: boolean): void;
    hide(): void;
}
